Bug 5885 - UNIMARC XSLT changes
Summary: UNIMARC XSLT changes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 6098
Blocks: 5886
  Show dependency treegraph
 
Reported: 2011-03-16 20:37 UTC by Chris Cormack
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (2.04 KB, patch)
2011-03-16 20:42 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5885 : UNIMARC XSLT changes (2.22 KB, patch)
2011-11-04 03:09 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-16 20:37:57 UTC
Dealing with some BNF/SUDOC invalid utf-8 (in title, the removed fields are used to mark non-sorted words)
Comment 1 Chris Cormack 2011-03-16 20:42:10 UTC Comment hidden (obsolete)
Comment 2 MJ Ray (software.coop) 2011-04-09 09:25:27 UTC
This bug is mentioned in:
Bug 5885 : UNIMARC XSLT changes http://lists.koha-community.org/pipermail/koha-patches/2011-March/014096.html
Comment 3 Chris Cormack 2011-11-04 03:09:05 UTC
Created attachment 6175 [details] [review]
Bug 5885 : UNIMARC XSLT changes

dealing with some BNF/SUDOC invalid utf-8 (in title, the removed fields are used to mark non-sorted words)

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

I can't test this works ok for UNIMARC, but it does not cause any
problems with the translation scripts or MARC21 so signing off
Comment 4 Ian Walls 2011-11-04 08:38:04 UTC
Benign enough change, only affects UNIMARC, not all MARC versions, so someone with UNIMARC experience will need to confirm if this breaks anything.  But I'm content to mark it as Passed QA
Comment 5 Frédéric Demians 2011-11-04 08:43:11 UTC
> Benign enough change, only affects UNIMARC, not all MARC versions, so someone
> with UNIMARC experience will need to confirm if this breaks anything.  But I'm
> content to mark it as Passed QA

Paul can be trusted on that one (and others)! It generalizes something which already exists in UNIMARC XSL files.
Comment 6 Paul Poulain 2011-11-04 10:53:45 UTC
patch pushed please test
Comment 7 Jared Camins-Esakov 2012-05-23 12:08:53 UTC
Included in 3.6 prior to 3.6.5.